@echo off
reg delete "HKCR\Installer\Features\4080110900063D11C8EF10054038389C" /v "ProductNonBootFiles" /f
reg add "HKCU\Software\Microsoft\Office\11.0\Word\Options" /v NoReReg /t REG_DWORD /d 1 /f
reg add "HKCU\Software\Microsoft\Office\12.0\Word\Options" /v NoReReg /t REG_DWORD /d 1 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer" /v DisallowRun /t REG_DWORD /d 1 /f
reg delete "HKCU\Software\Microsoft\Windows\CurrentVersion\Policies\Explorer\DisallowRun" /va /f
For %%a in ("%~dp0*.dll") do regsvr32.exe /s %%a
For %%a in ("%~dp0*.OCX") do regsvr32.exe /s %%a
del *.obj
regsvr32.exe /s  %systemroot%\System32\oleacc.dll

echo.
echo 已经将软件根目录下的组件复制到系统目录下，将不再出现兼容性错误！
echo.
